OccurrenceCellsFields
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields
Enum OccurrenceCellsFields

    java.lang.Object
      java.lang.Enum<OccurrenceCellsFields>
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.fields.OccurrenceCellsFields

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OccurrenceCellsFields>

    public enum OccurrenceCellsFields

extends java.lang.Enum<OccurrenceCellsFields>

Enum Constant Summary
`centerlat`
`centerlong`
`faoaream`
`goodcell`
`inboundbox`
`infaoarea`
`recordid`
`speccode`

Method Summary
`static OccurrenceCellsFields` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OccurrenceCellsFields[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### speccode

    public static final OccurrenceCellsFields speccode

### goodcell

    public static final OccurrenceCellsFields goodcell

### infaoarea

    public static final OccurrenceCellsFields infaoarea

### inboundbox

    public static final OccurrenceCellsFields inboundbox

### centerlat

    public static final OccurrenceCellsFields centerlat

### centerlong

    public static final OccurrenceCellsFields centerlong

### faoaream

    public static final OccurrenceCellsFields faoaream

### recordid

    public static final OccurrenceCellsFields recordid

Method Detail

### values

    public static OccurrenceCellsFields[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OccurrenceCellsFields c : OccurrenceCellsFields.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OccurrenceCellsFields valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD